var thisVersion = 5.23;
var currentVersion = 0;
var thisWidget = "Woot Widget";
var growlNotifications = new Array(
	"New Woot",
	"Sold Out",
	"Wootoff Start",
	"Wootoff End",
	"Almost Gone",
	"New Version"
);
var versionURL = 'http://www.macupdate.com/info.php/id/18616/woot.com-widget';
var thisTimer = null;

var gDoneButton;
var flipShown = false;
var animation = {duration:0, starttime:0, to:1.0, now:0.0, from:0.0, firstElement:null, timer:null};

var wootoff = false;

var image;

var wootmode, small, growl, autorefresh, wootpercent, WOpercent, WOlights, urlLink;
var productTitle = "[]";
var productDesc = "[]";
var price = "[]";
var priceAlt = "[]";
var shipping = "[]";
var productAvailability = "[]";
var productAvailabilityAlt = "[]";
var logoSrc = "woot.png";
var bgColor = "#224422";

var growl_name = "";

var req,verReq;
var results,verResults;

if (window.widget)
{
    widget.onshow = onshow;
	widget.onremove = cleanUp;
}

function setup(){
	gDoneButton = new AppleGlassButton(document.getElementById("doneButton"), "Done", savePrefs);
	
	loadPrefs();
	
	document.getElementById("version").innerHTML=thisVersion.toFixed(2);
	
	setTimeout('compareVersion();',250);
	
	if (small=='true') {
		usecondensed.checked=true;
	}
	
	setWootModeSelect();
	
	if (growl=='true') {
		usegrowl.checked=true;
	}
	if (autorefresh=='true') {
		usetimer.checked=true;
	}
	check_growl_installed();
	
	if (growl=='true')
		register_with_growl();
        	
	do_update();
}

function onshow(){
 	hideBack();
	do_update();
	//alert("OnShow-done:"+wootmode); //[debug]
}

function setWootModeSelect()
{
	switch(wootmode) {
		case 'woot':
			wootmodeselect.selectedIndex = 0;
			urlLink = 'http://www.woot.com/';
			logoSrc = "woot.png";
			bgColor = "#224422";
			break;
		case 'tech':
			wootmode = 'electronics';
			//then do the electronics section
		case 'electronics':
			wootmodeselect.selectedIndex = 1;
			urlLink = 'http://electronics.woot.com/';
			logoSrc = 'electronics.woot.png';
			bgColor = "#108487";
			break;
		case 'computers':
			wootmodeselect.selectedIndex = 2;
			urlLink = 'http://computers.woot.com/';
			logoSrc = 'computers.woot.png';
			bgColor = '#019eb2';
			break;
		case 'home':
			wootmodeselect.selectedIndex = 3;
			urlLink = 'http://home.woot.com/';
			logoSrc = 'home.woot.png';
			bgColor = "#d35500";
			break;
		case 'tools':
			wootmodeselect.selectedIndex = 4;
			urlLink = 'http://tools.woot.com/';
			logoSrc = 'tools.woot.png';
			bgColor = "#ff8500";
			break;
		case 'sport':
			wootmodeselect.selectedIndex = 5;
			urlLink = 'http://sport.woot.com/';
			logoSrc = 'sport.woot.png';
			bgColor = "#6abb01";
			break;
		case 'accessories':
			wootmodeselect.selectedIndex = 6;
		    urlLink = 'http://accessories.woot.com/';
		    logoSrc = 'accessories.woot.png';
		    bgColor = "#6230aa";
		    break;
		case 'kids':
			wootmodeselect.selectedIndex = 7;
			urlLink = 'http://kids.woot.com/';
			logoSrc = 'kids.woot.png';
			bgColor = "#ffb510";
			break;
		case 'shirt':
			wootmodeselect.selectedIndex = 8;
			urlLink = 'http://shirt.woot.com/';
			logoSrc = 'shirt.woot.png';
			bgColor = "#0071b0";
			break;
		case 'wine':
			wootmodeselect.selectedIndex = 9;
			urlLink = 'http://wine.woot.com/';
			logoSrc = 'wine.woot.png';
			bgColor = "#891b28";
			break;
		case 'sellout':
			wootmodeselect.selectedIndex = 10;
			urlLink = 'http://sellout.woot.com/';
			logoSrc = 'sellout.woot.png';
			bgColor = "#467c32";
			break;
	}
}

function do_update(){
	req = new XMLHttpRequest();
	url = "http://api.woot.com/1/sales/current.rss/"+wootmode;
	
	document.getElementById("front").style.borderColor=bgColor;
	document.getElementById("imgban").style.backgroundColor=bgColor;
	document.getElementById("logo").src = logoSrc;
	document.getElementById("condensed").style.borderColor=bgColor;
	document.getElementById("imgbanALT").style.backgroundColor=bgColor;
	document.getElementById("logoALT").src = logoSrc;
	
	req.onreadystatechange = processReqChange;
	req.open("GET",url,true);
	req.send(null);
	imageLnk = '<img src="ipi.gif">';
	document.getElementById("content").innerHTML = '<div id="picture"  onclick="widget.openURL(\''+urlLink+'\');">'+ imageLnk +'</div><center><div id="itemBIG"><a href="#" onclick="widget.openURL(\''+urlLink+'\');" class="itemBIG"><h3>' + productTitle + '</h3></a></div><div id="detailBIG"><p style="margin-top:1px; font-size:10px; color:#606060; font-family:arial,helvetica; width:200px;">' + productDesc + '<br><span class="priceBIG">' + price + '</span> &nbsp; &nbsp; ' + shipping + '</div><div id="button">' + productAvailability + '</div></center>'; 
	document.getElementById("contentALT").innerHTML = '<div id="itemALT"><a href="#" onclick="widget.openURL(\''+urlLink+'\');" class="itemALT">' + productTitle + '</a></div><div id="detailALT">' + productDesc + '</div><div id="priceALT">' + price + '</div><div id="btnPsition">' + productAvailabilityAlt + '</div>' ;		
}

function processReqChange() {
	if (req.readyState == 4) {
        // only if "OK"
        if (req.status == 200) {
            results = req.responseText;

            //price
            captionPrice = /<woot:pricerange>(.*?)<\/woot:pricerange>/i
            if (results.match(captionPrice)) {
                price = results.match(captionPrice)[1];
                priceAlt = price.replace(" - ","<br/>")
            } else {
                price = "(unknown)";
                priceAlt = "(unkn)";
            }
		
            //image
            var regex = /<woot:thumbnailimage>(.*?)<\/woot:thumbnailimage>/i
            if (results.match(regex)) {
                image = results.match(regex)[1];
                imageLnk = '<img src="' + image + '" width="128">';
            } else {
                imageLnk = "(unknown)";
            }
		
            //shipping
            captionShipping = /<woot:shipping>(.*?)<\/woot:shipping>/i;
            if (results.match(captionShipping)) {
                shipping = results.match(captionShipping)[1]
            } else {
                shipping = "(unknown)"
            }
		
            // productTitle
            captionProductTitle = /<\/link><title>(.*?)<\/title>/i;
            if (results.match(captionProductTitle)) {
                productTitle = results.match(captionProductTitle)[1]
            } else {
                productTitle="(unknown)"
            }
   		
            // productDesc
            captionProductDesc = /<woot:subtitle>(.*?)<\/woot:subtitle>/i
            if (results.match(captionProductDesc)) {
                productDesc = results.match(captionProductDesc)[1]
            } else {
                productDesc="(unknown)"
            }
    
            //wootoffpercent (needed for wootoffs and "almost gone" button)
            wootoffpercent = /<woot:soldoutpercentage>(.*?)<\/woot:soldoutpercentage>/i
			if (results.match(wootoffpercent)) {
                var percnt = results.match(wootoffpercent)[1]
                if(percnt > 1)
                {
                	wootpercent = (100-results.match(wootoffpercent)[1]);
				}
				else
				{
					wootpercent = Math.round((1-results.match(wootoffpercent)[1])*100);
				}
			} else {
				wootpercent = '100'
			}
		
            // wootoff
            captionWootOff = /<woot:wootoff>(.*?)<\/woot:wootoff>/i
            if (results.match(captionWootOff)[1] == 'true' || results.match(captionWootOff)[1] == 'True') {
                wootoff = true;
                WOlights = '<img id="wootoffGL" src="gold-light.gif?nc='+Math.floor((Math.random()*10000)+1)+'">';	//we toss in the random here to throw off the caching system. Old javascript trick so that the image doesn't get stuck in cache that way the lights never stop
                WOlightsAlt = '<img id="wootoffGLalt" src="gold-light.gif?nc='+Math.floor((Math.random()*10000)+1)+'">';
                WOlightsAltVis = 'inline';
                if (wootpercent == '-1' ) {
                    WOpercent = '';
                } else {
                    WOpercent = '<h3>' + wootpercent + '%</h3>';
                }
            }
            else{
                wootoff = false;
                WOpercent = '';
                WOlights = '';
                WOlightsAlt = '';
                WOlightsAltVis = 'none';
            }

	    	document.getElementById("wootoff").innerHTML = WOlights;
		    document.getElementById("wootoffpct").innerHTML = WOpercent;
		    document.getElementById("wootoffALT").innerHTML = WOlightsAlt;
		    document.getElementById("wootoffALT").style.display = WOlightsAltVis;	//had to add this in since i put a background on that div. Made it simpler then trying to toggle something to fill it in.
		    document.getElementById("wootoffpctALT").innerHTML = WOpercent;
                     
            
            // wootoff notification
            if(growl=='true') {
                if(window.widget) {
                    waswootoff = widget.preferenceForKey(wootmode+'-wootoff') ? widget.preferenceForKey(wootmode+'-wootoff') : false;
                    if(wootoff != waswootoff) {
                        if(wootoff) {
                            growl_notify("Wootoff Start","Wootoff Started!","");
                        } else {
                            growl_notify("Wootoff End","Wootoff Ended!","");
                        }
                        widget.setPreferenceForKey(wootoff,wootmode+'-wootoff');
                    }
                }
            }
		
            // new woot notification
            if(growl=='true') {
                if(window.widget) {
                    if(productTitle!="(unknown)") {
                        oldProduct = widget.preferenceForKey(wootmode+'-product') ? widget.preferenceForKey(wootmode+'-product') : 'none';
                        if(productTitle!=oldProduct) {
                            growl_notify("New Woot", "Woot!", productTitle);
                            widget.setPreferenceForKey(productTitle.replace(/Ó/,"\\\""),wootmode+'-product');
                            widget.setPreferenceForKey(false,wootmode+'-soldout');
                            widget.setPreferenceForKey(false,wootmode+'-almostgone');
                        }
                    }
                }
            }
	
            // purchase URL
            wootPageURL = /<\/guid><link>(.*?)<\/link>/i
            if (results.match(wootPageURL)) {
                urlLink = results.match(wootPageURL)[1];
            }
            
            // purchase URL
            captionPurchaseURL = /<woot:purchaseurl>(.*?)<\/woot:purchaseurl>/i
            if (results.match(captionPurchaseURL)) {
                purchaseURL = results.match(captionPurchaseURL)[1];
            }
		
            // soldOut
            isSoldOut = false;
            isAlmostGone = false;
            captionSoldOut = /<woot:soldout>(.*?)<\/woot:soldout>/i
            if (results.match(captionSoldOut)) {
                soldOut = results.match(captionSoldOut)[1];
                if(soldOut == "True" || soldOut == "true"){
                    productAvailability = "<span><img src=\"btn_soldout.png\" width=\"164\" height=\"34\" alt=\"More Information\" border=\"0\"></span><br>";
                    productAvailabilityAlt = "<span><img src=\"btn_soldoutALT.png\" width=\"76\" height=\"21\" alt=\"More Information\" border=\"0\"></span><br>";
                    isSoldOut=true;
                    if(wootoff){
                        document.getElementById("wootoffpct").innerHTML = '<h3>0%</h3>';
                        document.getElementById("wootoffpctALT").innerHTML = '<h3>0%</h3>';
                    }
                }
                else {
                    if(wootpercent <= 10) {
                        isAlmostGone=true;
                        productAvailability = "<span onclick=\"widget.openURL('" + purchaseURL + "');\"><img style=\"cursor:pointer;\" src=\"btn_almostgone.png\" width=\"164\" height=\"34\" alt=\"More Information\" border=\"0\"></span><br>";
                        productAvailabilityAlt = "<span onclick=\"widget.openURL('" + purchaseURL + "');\"><img style=\"cursor:pointer;\" src=\"btn_almostgoneALT.png\" width=\"76\" height=\"21\" alt=\"Available\" border=\"0\"></span><br>";
                    } else {
                        isAlmostGone=false;
                        productAvailability = "<span onclick=\"widget.openURL('" + purchaseURL + "');\"><img style=\"cursor:pointer;\" src=\"btn_iwantone.png\" width=\"164\" height=\"34\" alt=\"More Information\" border=\"0\"></span><br>";
                        productAvailabilityAlt = "<span onclick=\"widget.openURL('" + purchaseURL + "');\"><img style=\"cursor:pointer;\" src=\"btn_available.png\" width=\"76\" height=\"21\" alt=\"Available\" border=\"0\"></span><br>";
                    }
                }
            }
            else {
                        productAvailability = "(unknown)";
                        productAvailabilityAlt = "(unknown)<br>";
            }
	
            if(growl=='true') {
                if(window.widget) {		
                    wasSoldOut = widget.preferenceForKey(wootmode+'-soldout') ? widget.preferenceForKey(wootmode+'-soldout') : false;
                    if(isSoldOut && !wasSoldOut) {
                        growl_notify("Sold Out", "Sold Out!", productTitle);
                        widget.setPreferenceForKey(isSoldOut,wootmode+'-soldout');
                    }
                    wasAlmostGone = widget.preferenceForKey(wootmode+'-almostgone') ? widget.preferenceForKey(wootmode+'-almostgone') : false;
                    if(isAlmostGone && !wasAlmostGone) {
                        growl_notify("Almost Gone", "Almost Gone!", productTitle);
                        widget.setPreferenceForKey(isAlmostGone,wootmode+'-almostgone');
                    }
                }
            }

            document.getElementById("content").innerHTML = '<div id="picture"  onclick="widget.openURL(\''+urlLink+'\');">'+ imageLnk +'</div><center><div id="itemBIG"><a href="#" onclick="widget.openURL(\''+urlLink+'\');" class="itemBIG"><h3>' + productTitle + '</h3></a></div><div id="detailBIG"><p style="margin-top:5px; font-size:10px; color:#606060; font-family:arial,helvetica; width:200px;">' + productDesc + '</p><p style="margin:-5px; font-size:10px; color:#606060; font-family:arial,helvetica; width:200px;"><span class="priceBIG">' + price + '</span> <br/> +' + shipping + '</div><div id="button">' + productAvailability + '</div></center>'; 
            document.getElementById("contentALT").innerHTML = '<div id="itemALT"><a href="#" onclick="widget.openURL(\''+urlLink+'\');" class="itemALT">' + productTitle + '</a></div><div id="detailALT">' + productDesc + '</div><div id="priceALT"><span id="priceAltInner">' + priceAlt + '</span></div><div id="btnPsition">' + productAvailabilityAlt + '</div>' ;
        }
        else {
            alert("There was a problem retrieving the XML data:\n" +
                req.statusText);
        }
    }
	 
	 setTimer ();
	 if (window.widget) {
	 	checkVersion ();
	 }
}
	
	
function showBack()
{
    var front = document.getElementById("front");
    var condensed = document.getElementById("condensed");
	var back = document.getElementById("back");
	
    if (window.widget)
        widget.prepareForTransition("ToBack");

    front.style.display="none";
	
	condensed.style.display="none";
	
	back.style.display="block";

    if (window.widget)
        setTimeout ('widget.performTransition();', 0);
    
    setTimeout('compareVersion();',1000);      
}

function hideBack()
{
    var front = document.getElementById("front");
	var condensed = document.getElementById("condensed");
	var back = document.getElementById("back");

	condensed.style.display="none";
	front.style.display="none";
	back.style.display="none";
	
	document.getElementById("front").style.borderColor=bgColor;
	document.getElementById("imgban").style.backgroundColor=bgColor;
	document.getElementById("logo").src = logoSrc;
	document.getElementById("condensed").style.borderColor=bgColor;
	document.getElementById("imgbanALT").style.backgroundColor=bgColor;
	document.getElementById("logoALT").src = logoSrc;
	
	if (window.widget)
        widget.prepareForTransition("ToFront");
    
    if (small=='true') {
		condensed.style.display="block";
	} 
	else {
		front.style.display="block";
	}
	
    if (window.widget)
        setTimeout ('widget.performTransition();', 0);
}

function condensedMode ()
{
	small = 'true';
	usecondensed.checked=true;
	if (window.widget)
		widget.setPreferenceForKey(small,widget.identifier+'-condensed');
	onshow();
}

function bigMode ()
{
	small = 'false';
	usecondensed.checked=false;
	if (window.widget)
		widget.setPreferenceForKey(small,widget.identifier+'-condensed');
	onshow();
}

function setPrefs()
{
	if (usecondensed.checked) {
		small = 'true';
	} else {
		small = 'false';
	}
	
	wootmode=wootmodeselect.value;
	setWootModeSelect();
	
	if (usetimer.checked) {
		autorefresh = 'true';
	} else {
		autorefresh = 'false';
	}
	if (usegrowl.checked) {
		growl = 'true';
		register_with_growl();
	} else {
		growl = 'false';
	}
}

function savePrefs()
{
	if (window.widget) {
		widget.setPreferenceForKey(wootmode,widget.identifier+'-wootmode');
		widget.setPreferenceForKey(small,widget.identifier+'-condensed');
		widget.setPreferenceForKey(growl,widget.identifier+'-growl');
	    widget.setPreferenceForKey(autorefresh,widget.identifier+'-refresh');
	}
	onshow();
}

function loadPrefs()
{
	if (window.widget) {
	    wootmode = widget.preferenceForKey(widget.identifier+'-wootmode') ? 
			widget.preferenceForKey(widget.identifier+'-wootmode') : 'woot';
		small = widget.preferenceForKey(widget.identifier+'-condensed') ? 
			widget.preferenceForKey(widget.identifier+'-condensed') : 'false';
		growl = widget.preferenceForKey(widget.identifier+'-growl') ?
			widget.preferenceForKey(widget.identifier+'-growl') : 'false';
		autorefresh = widget.preferenceForKey(widget.identifier+'-refresh') ?
			widget.preferenceForKey(widget.identifier+'-refresh') : 'false';
	} else {
		wootmode = 'woot';
	}
}

function mousemove (event,type)
{
    if (!flipShown)
    {
        if (animation.timer != null)
        {
            clearInterval (animation.timer);
            animation.timer  = null;
        }

        var starttime = (new Date).getTime() - 13;
        
        animation.duration = 500;
        animation.starttime = starttime;
        animation.firstElement = document.getElementById ('flip'+type);
        animation.timer = setInterval ("animate();", 13);
        animation.from = animation.now;
        animation.to = 1.0;

        animate();

        flipShown = true;
    }
}



function mouseexit (event,type)
{
    if (flipShown)

    {
        // fade in the info button
        if (animation.timer != null)
        {
            clearInterval (animation.timer);
            animation.timer  = null;
        }

        var starttime = (new Date).getTime() - 13;

        animation.duration = 500;
        animation.starttime = starttime;
        animation.firstElement = document.getElementById ('flip'+type);
        animation.timer = setInterval ("animate();", 13);
        animation.from = animation.now;
        animation.to = 0.0;

        animate();

        flipShown = false;
    }
}

function animate()
{
    var T;

    var ease;

    var time = (new Date).getTime();

    T = limit_3(time-animation.starttime, 0, animation.duration);

    if (T >= animation.duration)
    {
        clearInterval (animation.timer);
        animation.timer = null;
        animation.now = animation.to;
    } else {
        ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animation.duration));
        animation.now = computeNextFloat (animation.from, animation.to, ease);
    }
    animation.firstElement.style.opacity = animation.now;
}

function limit_3 (a, b, c)
{
    return a < b ? b : (a > c ? c : a);
}

function computeNextFloat (from, to, ease)
{
    return from + (to - from) * ease;
}

function enterflip(event,type)
{
    document.getElementById('fliprollie'+type).style.display = 'block';
}

function exitflip(event,type)
{
    document.getElementById('fliprollie'+type).style.display = 'none';
}
	
function cleanUp () {
	widget.setPreferenceForKey(null,widget.identifier+'-wootmode');
	widget.setPreferenceForKey(null,widget.identifier+'-condensed');
	widget.setPreferenceForKey(null,widget.identifier+'-growl');
    	widget.setPreferenceForKey(null,widget.identifier+'-refresh');
    	widget.setPreferenceForKey(null,wootmode+'-product');
    	widget.setPreferenceForKey(null,wootmode+'-soldout');
	widget.setPreferenceForKey(null,wootmode+'-almostgone');
 	widget.setPreferenceForKey(null,wootmode+'-wootoff');
}

function check_growl_installed() {
    self = this;
    if (this.has_growl == null && window.widget) {
        widget.system("osascript -e 'tell application \"System Events\"' -e'set isRunning to (count of (every process whose name is \"Growl\")) > 0' -e 'end tell'", function (data) {
            if (data.outputString.search(/true/) >= 0) {
                growl_name = "Growl";
                usegrowl.disabled = false;
            } else {
                widget.system("osascript -e 'tell application \"System Events\"' -e'set isRunning to (count of (every process whose name is \"GrowlHelperApp\")) > 0' -e 'end tell'", function (data) {
                    if (data.outputString.search(/true/) >= 0) {
                        growl_name = "GrowlHelperApp";
                        usegrowl.disabled = false;
                    }
                });
            }
        });
    } else {
        usegrowl.disabled = true;
        growl='false';
    }
    
}

function register_with_growl() {
	var growlNotStr = "";

	for (var i=0; i<growlNotifications.length; i++) {
		growlNotStr += ("\"" + growlNotifications[i] + "\"");
			if (i < growlNotifications.length-1)
				growlNotStr += " , ";
	}

	widget.system("/usr/bin/osascript " +
		"-e 'set allN to { " + growlNotStr + " }' " +
		"-e 'tell application \"" + growl_name + "\"' " +
		"-e 'register as application \"" + thisWidget + "\" " +
		"all notifications allN " +
		"default notifications allN " +
		"icon of application \"Dashboard\"' " +
		"-e 'end tell'",
		null);
}

var Dummy = function (obj) {};  // for asynch Growl

function growl_notify(name, title, desc) {
	
	var priority = 0;

	var img = (document.location.href+'').replace(/\/[^\/]*$/, "");
//	img     = img.replace(/^file:\//, "file:///");
    img     = img.replace(/^file:\/\//, "");
	switch (wootmode) {
		case 'woot':
		   	img += "/icon.tif";
			break;
		case 'wine':
			img += "/icon-wine.tif";
			break;
		case 'shirt':
			img += "/icon-shirt.tif";
			break;
		case 'kids':
			img += "/icon-kids.tif";
			break;
		case 'home':
			img += "/icon-home.tif";
			break;
		case 'sport':
			img += "/icon-sport.tif";
			break;
		case 'tech':
		case 'electronics':
			img += "/icon-elec.tif";
			break;
		case 'sellout':
			img += "/icon-sellout.tif";
			break;
		case 'tools':
			img += "/icon-tools.tif";
			break;
        case 'accessories':
            img += "/icon-accessories.tif";
            break;         
        case 'computers':
            img += "/icon-comp.tif";
            break;
	}
                          
                        
widget.system("/usr/bin/osascript " +
        "-e 'tell application \"System Events\"' " +
        "-e 'set imgfile to \"" + img + "\"' " +
        "-e 'end tell' " +
        "-e 'set imgfd to open for access imgfile' " +
        "-e 'set img to read imgfd as \"TIFF\"' " +
        "-e 'close access imgfd' " +
		"-e 'tell application \"" + growl_name + "\"' " +
		"-e 'notify with name \"" + name + "\" title \"" + title + "\" description \"" + desc + "\" application name \"" + thisWidget + "\" " +
		"image img priority " + priority + " ' " +
		"-e 'end tell'",
		Dummy);
}

function setTimer () {
	var interval = 300000;  // 5 minutes
	
	if (autorefresh=='true') {
		clearTimeout(thisTimer);
		if (wootoff) {
			interval = 15000; // 15 seconds
		} 
		thisTimer = setTimeout('do_update()',interval);
	} else {
		clearTimeout(thisTimer);
		thisTimer = null;
	}

}


function checkVersion () {
	var lastVersionCheck = (widget.preferenceForKey('lastversioncheck')) ? 
		widget.preferenceForKey('lastversioncheck') : 0;
	var currentTime = new Date();

	//if (currentVersion <= thisVersion) {
		if (lastVersionCheck + (86400000) < currentTime.getTime()) {
				compareVersion();
				widget.setPreferenceForKey(currentTime.getTime(),'lastversioncheck');
		}
	//}
	
}

function compareVersion () {
	verReq = new XMLHttpRequest();
	verReq.onreadystatechange = processVersionCheck;
	verReq.open("GET",versionURL,true);
	document.getElementById("version").innerHTML="VChk";
	verReq.send(null);
}	
	
function processVersionCheck ()
{
	if (verReq.readyState == 4) {
    // only if "OK"
	    if (verReq.status == 200) {
	        	
			verResults = verReq.responseText;
			
			var regex = /appversinfo\">(.*?)</i
		
			if (verResults.match(regex)) {
				currentVers = verResults.match(regex);
		        var currentVersio = currentVers[1].replace(/ /,".");
				var currentVersi = currentVersio.split(".",3);
				
				currentVersion = +currentVersi[0]+currentVersi[1]/10+currentVersi[2]/100;
				currentVersion = Math.round(currentVersion*100)/100;
			} else {
				currentVersion = 0;
			}
		    
			if(thisVersion < currentVersion) {
				if(growl=='true') {
					growl_notify("New Version","New version of Woot Widget!", "Version "+currentVers[1]+" is now available");
				}
				document.getElementById("clickHome").innerHTML="Version "+currentVers[1]+" is now available<br><br><span class=\"style1\">click here to download</span>";
			}
			
	    }
	    else {
	        alert("There was a problem retrieving the XML data:\n" +
	            verReq.statusText);
	    }
	}
	document.getElementById("version").innerHTML=thisVersion.toFixed(2);
}
